#
# spec file for package glchess (Version 0.3.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel gtkglarea mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gtkglarea gzip kbd less libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         glchess
Copyright:    GPL
Group:        X11/Applications
Provides:     glchess 
Requires:     crafty mesa
Autoreqprov:  on
Version:      0.3.4
Release:      42
Summary:      3D chess game
URL:          http://glchess.sourceforge.net
Source:       glchess-%{version}.tar.bz2
Patch:        glchess-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
At the moment it supports computer play against crafty.

Authors:
--------
    Robert Ancell <bob27@users.sourceforge.net> 
    Michael Duelli <duelli@users.sourceforge.net> 
    

SuSE series: fun

%prep
%setup 
%patch 
%{suse_update_config}

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m755 glchess $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/glchess/textures/
cp -vr textures  $RPM_BUILD_ROOT/usr/share/glchess/
mkdir -p $RPM_BUILD_ROOT/etc/
install -m644 glchessrc  $RPM_BUILD_ROOT/etc/glchessrc
cd man
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man6/
install -m 644 glchess.6 $RPM_BUILD_ROOT/usr/share/man/man6/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc  AUTHORS COPYING  INSTALL  ChangeLog  NEWS   TODO README
/usr/X11R6/bin/glchess
/usr/share/glchess/textures/
/usr/share/man/man6/glchess*
/etc/glchessrc

%changelog -n glchess
* Tue Aug 21 2001 - dan@suse.cz
- update to 0.3.4 version
* Thu Jun 21 2001 - pblaha@suse.cz
- update on new glchess from glchess.sourceforge.net ver 0.2.9
- add build root
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Thu Jul 13 2000 - sndirsch@suse.de
- bugfix: rgb file now located in /usr/share/doc/packages/glchess
  (have a look at glchess.dif)
* Wed Jun 07 2000 - ro@suse.de
- added mesadev to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Wed Nov 18 1998 - @suse.de
- update to v0.10d
* Thu Feb 05 1998 - ray@suse.de
- new package (v0.10b)
